/*
 * About dialog
 *  for Wi-Fi view & select
 */
package jp.gr.java_conf.j_sota.wifiviewandselect;

import android.app.Dialog;
import android.content.Context;
import android.content.pm.PackageInfo;
import android.content.pm.PackageManager;
import android.content.pm.PackageManager.NameNotFoundException;
import android.os.Bundle;
import android.support.v4.app.DialogFragment;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.TextView;

public class AboutDialog extends DialogFragment {

	/**
	 * Constructor
	 */
	public AboutDialog() {
		// do nothing
	}

	/**
	 * Create a dialog
	 * @param savedInstanceState
	 * @return Dialog	Dialog
	 */
	@Override
	public Dialog onCreateDialog(Bundle savedInstanceState) {
		Dialog dialog = new Dialog(getActivity());
		dialog.setContentView(R.layout.about_dialog);
		dialog.setTitle(getString(R.string.dialog_title_about));

		// Set version name
		TextView mVersionView = (TextView) dialog.findViewById(R.id.textVersion);
		mVersionView.setText(getString(R.string.textview_app_version) + " " + getVersionName());

		dialog.findViewById(R.id.buttonYes).setOnClickListener(new OnClickListener() {

			/**
			 * Button click listener
			 * @param v   view
			 */
			@Override
			public void onClick(View v) {
				dismiss();
			}
		});
		return dialog;
	}

	/**
	 * Get version name from manifest
	 * @return String version name
	 */
	private String getVersionName() {
		String versionName = "???";
		Context context = getActivity();
		PackageManager manager = context.getPackageManager();
		try {
			PackageInfo information = manager.getPackageInfo(context.getPackageName(), 0);
			versionName = information.versionName;
		} catch (NameNotFoundException e) {
		}

		return versionName;
	}
}
